Sample
RFC 0000
John Doe
March 2020
ART
The standards for Internationalized Domain Names in Applications (IDNA) require a review of each new version of Unicode to determine whether incompatibilities with prior versions or other issues exist and, where appropriate, to allow the IETF to decide on the trade-offs between compatibility with prior IDNA versions and compatibility with Unicode going forward. That requirement, and its relationship to tables maintained by IANA, has caused significant confusion in the past. This document makes adjustments to the review procedure based on experience and updates IDNA, specifically RFC 5892, to reflect those changes and to clarify the various relationships involved. It also makes other minor adjustments to align that document with experience.
Review Model Part I: Algorithmic Comparison
TESTING:
(i) Section 5.1 of [RFC5892]
(ii) RFC 5892
(iii) Section 5.1 of RFC 5892
(iv) Section 5.1 of RFC 5892
is the description of the process for creating the initial IANA tables. It is noteworthy that, while it can be read as strongly implying new reviews and new tables for versions of Unicode after 5.2, it does not explicitly specify those reviews or, e.g., the timetable for completing them. It also indicates that incompatibilities are to be "flagged for the IESG" but does not specify exactly what the IESG is to do about them and when. For reasons related to the other type of review and discussed below, only one review was completed, documented [RFC6452], and a set of corresponding new tables installed. That review, which was for Unicode 6.0, found only three incompatibilities; the consensus was to ignore them (not create exceptions in IDNA2008) and to remain consistent with computations based on current (Unicode 6.0) properties rather than preserving backward compatibility within IDNA. The 2018 review (for Unicode 11.0 and versions in between it and 6.0) [I-D.faltstrom-unicode12] also concluded that Unicode compatibility, rather than IDNA backward compatibility, should be maintained. That decision was partially driven by the long period between reviews and the concern that table calculations by others in the interim could result in unexpected incompatibilities if derived property definitions were then changed.
References
Normative References
[Unicode]

The Unicode Standard (Current Version)
The Unicode Consortium
2019
[Unicode-properties]

The Unicode Standard Version 11.0
The Unicode Consortium
2018
Section 3.5
[IANA-IDNA-Tables]

IDNA Rules and Derived Property Values
IANA
[Err3312]

Erratum ID 3312
RFC Errata
RFC 5892
Informative References
[IAB-Unicode7-2015]

IAB Statement on Identifiers and Unicode 7.0.0
Internet Architecture Board (IAB)
11 February 2015
[IAB-Unicode-2018]

IAB Statement on Identifiers and Unicode
Internet Architecture Board (IAB)
15 March 2018
[ICANN-LGR-SLA]

Proposed IANA SLAs for Publishing LGRs/IDN Tables
Internet Corporation for Assigned Names and Numbers (ICANN)
10 June 2019
[RFC5892]
[RFC6452]
[I-D.faltstrom-unicode12]